> For the complete documentation index, see [llms.txt](https://docs.cloud.debank.com/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cloud.debank.com/en/official-account/api-reference/user-messages.md).

# User messages

## Send messages to a single user

#### Method

post

#### Path

/v1/official/message/send

#### Parameters

* content - json with the following fields:
  * `type` : `string` message type, only support "text" currently.
  * `value` : `json` with the following fields
    * `url`: `string` - url link
    * `data`: `string` - content
    * `version`: `string` - current version: v1
* `addr` : `string` - The address to which you need to send the message
* `max_offer_price` : `integer` - max offer price, If the offer price for the address is higher than this value, no message will be sent to the address. The decimal of max\_offer\_price is 4, eg. you want to set max offer price to $1, the max\_offer\_price = 10,000.

#### Returns

Request

{% tabs %}
{% tab title="Curl" %}

```bash
curl 'https://pro-openapi.debank.com/v1/official/message/send' \
  -H 'AccessKey: YOUR_ACCESSKEY' \
  -H 'Content-Type: application/json' \
  --data-raw '{
    "addr": "0x5853ed4f26a3fcea565b3fbc698bb19cdf6deb85",
    "content": {
        "type": "text", 
        "value": {"url": "https://example.com", 
                "data": "test group send message", 
                "version": "v1"}
                },
    "max_offer_price": 10000
    }' \
  --compressed
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cloud.debank.com/en/official-account/api-reference/user-messages.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
